
<!doctype html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module yahoo.search.dom.web</title>
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong><a href="yahoo.html"><font color="#ffffff">yahoo</font></a>.<a href="yahoo.search.html"><font color="#ffffff">search</font></a>.<a href="yahoo.search.dom.html"><font color="#ffffff">dom</font></a>.web</strong></big></big> (version 1.5, Thu Oct 27 10:46:03 PDT 2005)</font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:/home/leif/hack/pysearch/yahoo/search/dom/web.py">/home/leif/hack/pysearch/yahoo/search/dom/web.py</a></font></td></tr></table>
    <p><tt>DOM&nbsp;parser&nbsp;for&nbsp;Web&nbsp;search&nbsp;results<br>
&nbsp;<br>
Implement&nbsp;a&nbsp;simple&nbsp;DOM&nbsp;parsers&nbsp;for&nbsp;the&nbsp;Yahoo&nbsp;Search&nbsp;Web&nbsp;Services<br>
web&nbsp;search&nbsp;APIs.&nbsp;This&nbsp;provides&nbsp;parser&nbsp;for&nbsp;the&nbsp;following&nbsp;Web&nbsp;search<br>
classes:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;<a href="#WebSearch">WebSearch</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Web&nbsp;Search<br>
&nbsp;&nbsp;&nbsp;&nbsp;ContextSearch&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Web&nbsp;Search&nbsp;with&nbsp;a&nbsp;context&nbsp;added<br>
&nbsp;&nbsp;&nbsp;&nbsp;<a href="#RelatedSuggestion">RelatedSuggestion</a>&nbsp;&nbsp;&nbsp;-&nbsp;Web&nbsp;Search&nbsp;Related&nbsp;Suggestion<br>
&nbsp;&nbsp;&nbsp;&nbsp;<a href="#SpellingSuggestion">SpellingSuggestion</a>&nbsp;&nbsp;-&nbsp;Web&nbsp;Search&nbsp;Spelling&nbsp;Suggestion</tt></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#aa55cc">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#fffff" face="helvetica, arial"><big><strong>Modules</strong></big></font></td></tr>
    
<tr><td bgcolor="#aa55cc"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><table width="100%" summary="list"><tr><td width="25%" valign=top><a href="yahoo.search.dom.html">yahoo.search.dom</a><br>
</td><td width="25%" valign=top></td><td width="25%" valign=top></td><td width="25%" valign=top></td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ee77aa">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Classes</strong></big></font></td></tr>
    
<tr><td bgcolor="#ee77aa"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl>
<dt><font face="helvetica, arial"><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>(<a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>)
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="yahoo.search.dom.web.html#RelatedSuggestion">RelatedSuggestion</a>
</font></dt><dt><font face="helvetica, arial"><a href="yahoo.search.dom.web.html#SpellingSuggestion">SpellingSuggestion</a>
</font></dt><dt><font face="helvetica, arial"><a href="yahoo.search.dom.web.html#WebSearch">WebSearch</a>
</font></dt></dl>
</dd>
</dl>
 <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="RelatedSuggestion">class <strong>RelatedSuggestion</strong></a>(<a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#RelatedSuggestion">RelatedSuggestion</a>&nbsp;-&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;Web&nbsp;Related&nbsp;Suggestions<br>
&nbsp;<br>
Simple&nbsp;related&nbsp;suggestions&nbsp;web&nbsp;service,&nbsp;returning&nbsp;a&nbsp;list&nbsp;of&nbsp;the<br>
candidate&nbsp;result&nbsp;strings.&nbsp;Note&nbsp;that&nbsp;the&nbsp;results&nbsp;from&nbsp;this&nbsp;service<br>
is&nbsp;slightly&nbsp;different&nbsp;compared&nbsp;to&nbsp;the&nbsp;other&nbsp;services,&nbsp;since&nbsp;each<br>
result&nbsp;can&nbsp;only&nbsp;be&nbsp;a&nbsp;string.<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.dom.web.html#RelatedSuggestion">RelatedSuggestion</a></dd>
<dd><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a></dd>
<dd><a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Methods inherited from <a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>:<br>
<dl><dt><a name="RelatedSuggestion-parse_results"><strong>parse_results</strong></a>(self, dom_object)</dt><dd><tt>This&nbsp;is&nbsp;a&nbsp;simple&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;all&nbsp;Yahoo&nbsp;Search&nbsp;services.&nbsp;It<br>
expects&nbsp;to&nbsp;find&nbsp;a&nbsp;top-level&nbsp;node&nbsp;named&nbsp;ResultSet.&nbsp;This&nbsp;is&nbsp;the&nbsp;main<br>
entry&nbsp;point&nbsp;for&nbsp;the&nbsp;DOM&nbsp;parser,&nbsp;and&nbsp;it&nbsp;requires&nbsp;a&nbsp;properly&nbsp;con-<br>
structed&nbsp;DOM&nbsp;object&nbsp;(e.g.&nbsp;using&nbsp;minidom).</tt></dd></dl>

<hr>
Methods inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><a name="RelatedSuggestion-__init__"><strong>__init__</strong></a>(self, service, res_dict<font color="#909090">=&lt;class 'yahoo.search.parser.ResultDict'&gt;</font>)</dt></dl>

<dl><dt><a name="RelatedSuggestion-__iter__"><strong>__iter__</strong></a>(self)</dt></dl>

<hr>
Data descriptors inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>firstResultPosition</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>first_result_position</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>results</strong></dt>
<dd><tt>The&nbsp;list&nbsp;of&nbsp;all&nbsp;results</tt></dd>
</dl>
<dl><dt><strong>service</strong></dt>
<dd><tt>The&nbsp;Search&nbsp;Web&nbsp;Service&nbsp;object&nbsp;for&nbsp;this&nbsp;results&nbsp;parser</tt></dd>
</dl>
<dl><dt><strong>totalResultsAvailable</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>totalResultsReturned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
<dl><dt><strong>total_results_available</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>total_results_returned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="SpellingSuggestion">class <strong>SpellingSuggestion</strong></a>(<a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#SpellingSuggestion">SpellingSuggestion</a>&nbsp;-&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;Web&nbsp;Spelling&nbsp;Suggestions<br>
&nbsp;<br>
Simple&nbsp;spell&nbsp;checking&nbsp;web&nbsp;service,&nbsp;there&nbsp;can&nbsp;be&nbsp;only&nbsp;zero&nbsp;or&nbsp;one<br>
result&nbsp;from&nbsp;the&nbsp;query.&nbsp;Also&nbsp;note&nbsp;that&nbsp;the&nbsp;results&nbsp;from&nbsp;the&nbsp;search<br>
are&nbsp;slightly&nbsp;different&nbsp;compared&nbsp;to&nbsp;the&nbsp;other&nbsp;services,&nbsp;the&nbsp;one<br>
(possible)&nbsp;result&nbsp;is&nbsp;just&nbsp;simple&nbsp;string&nbsp;(not&nbsp;a&nbsp;dictionary).<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.dom.web.html#SpellingSuggestion">SpellingSuggestion</a></dd>
<dd><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a></dd>
<dd><a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Methods inherited from <a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>:<br>
<dl><dt><a name="SpellingSuggestion-parse_results"><strong>parse_results</strong></a>(self, dom_object)</dt><dd><tt>This&nbsp;is&nbsp;a&nbsp;simple&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;all&nbsp;Yahoo&nbsp;Search&nbsp;services.&nbsp;It<br>
expects&nbsp;to&nbsp;find&nbsp;a&nbsp;top-level&nbsp;node&nbsp;named&nbsp;ResultSet.&nbsp;This&nbsp;is&nbsp;the&nbsp;main<br>
entry&nbsp;point&nbsp;for&nbsp;the&nbsp;DOM&nbsp;parser,&nbsp;and&nbsp;it&nbsp;requires&nbsp;a&nbsp;properly&nbsp;con-<br>
structed&nbsp;DOM&nbsp;object&nbsp;(e.g.&nbsp;using&nbsp;minidom).</tt></dd></dl>

<hr>
Methods inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><a name="SpellingSuggestion-__init__"><strong>__init__</strong></a>(self, service, res_dict<font color="#909090">=&lt;class 'yahoo.search.parser.ResultDict'&gt;</font>)</dt></dl>

<dl><dt><a name="SpellingSuggestion-__iter__"><strong>__iter__</strong></a>(self)</dt></dl>

<hr>
Data descriptors inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>firstResultPosition</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>first_result_position</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>results</strong></dt>
<dd><tt>The&nbsp;list&nbsp;of&nbsp;all&nbsp;results</tt></dd>
</dl>
<dl><dt><strong>service</strong></dt>
<dd><tt>The&nbsp;Search&nbsp;Web&nbsp;Service&nbsp;object&nbsp;for&nbsp;this&nbsp;results&nbsp;parser</tt></dd>
</dl>
<dl><dt><strong>totalResultsAvailable</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>totalResultsReturned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
<dl><dt><strong>total_results_available</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>total_results_returned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="WebSearch">class <strong>WebSearch</strong></a>(<a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#WebSearch">WebSearch</a>&nbsp;-&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;Web&nbsp;Search<br>
&nbsp;<br>
Each&nbsp;result&nbsp;is&nbsp;a&nbsp;dictionary&nbsp;populated&nbsp;with&nbsp;the&nbsp;extracted&nbsp;data&nbsp;from&nbsp;the<br>
XML&nbsp;results.&nbsp;The&nbsp;following&nbsp;keys&nbsp;are&nbsp;always&nbsp;available:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Title&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;title&nbsp;of&nbsp;the&nbsp;web&nbsp;page.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Summary&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Summary&nbsp;text&nbsp;associated&nbsp;with&nbsp;the&nbsp;web&nbsp;page.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Url&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;for&nbsp;the&nbsp;web&nbsp;page.<br>
&nbsp;&nbsp;&nbsp;&nbsp;ClickUrl&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;for&nbsp;linking&nbsp;to&nbsp;the&nbsp;page.<br>
&nbsp;<br>
The&nbsp;following&nbsp;attributes&nbsp;are&nbsp;optional,&nbsp;and&nbsp;might&nbsp;not&nbsp;be&nbsp;set:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;ModificationDate&nbsp;-&nbsp;The&nbsp;date&nbsp;the&nbsp;page&nbsp;was&nbsp;last&nbsp;modified,&nbsp;Unix&nbsp;time.<br>
&nbsp;&nbsp;&nbsp;&nbsp;MimeType&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;MIME&nbsp;type&nbsp;of&nbsp;the&nbsp;page.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Cache&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;of&nbsp;the&nbsp;cached&nbsp;result,&nbsp;and&nbsp;its&nbsp;size.<br>
&nbsp;<br>
If&nbsp;present,&nbsp;the&nbsp;Cache&nbsp;value&nbsp;is&nbsp;in&nbsp;turn&nbsp;another&nbsp;dictionary,&nbsp;which&nbsp;will<br>
have&nbsp;the&nbsp;following&nbsp;keys:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Url&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;URL&nbsp;to&nbsp;cached&nbsp;data.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Size&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Size&nbsp;of&nbsp;the&nbsp;cached&nbsp;entry,&nbsp;in&nbsp;bytes.<br>
&nbsp;<br>
&nbsp;<br>
Example:<br>
&nbsp;&nbsp;&nbsp;&nbsp;results&nbsp;=&nbsp;ws.<a href="#WebSearch-parse_results">parse_results</a>(dom)<br>
&nbsp;&nbsp;&nbsp;&nbsp;for&nbsp;res&nbsp;in&nbsp;results:<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;if&nbsp;res.has_key('Cache'):<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;print&nbsp;"Cache&nbsp;URL:&nbsp;",&nbsp;res['Cache']['Url']<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.dom.web.html#WebSearch">WebSearch</a></dd>
<dd><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a></dd>
<dd><a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Methods inherited from <a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>:<br>
<dl><dt><a name="WebSearch-parse_results"><strong>parse_results</strong></a>(self, dom_object)</dt><dd><tt>This&nbsp;is&nbsp;a&nbsp;simple&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;all&nbsp;Yahoo&nbsp;Search&nbsp;services.&nbsp;It<br>
expects&nbsp;to&nbsp;find&nbsp;a&nbsp;top-level&nbsp;node&nbsp;named&nbsp;ResultSet.&nbsp;This&nbsp;is&nbsp;the&nbsp;main<br>
entry&nbsp;point&nbsp;for&nbsp;the&nbsp;DOM&nbsp;parser,&nbsp;and&nbsp;it&nbsp;requires&nbsp;a&nbsp;properly&nbsp;con-<br>
structed&nbsp;DOM&nbsp;object&nbsp;(e.g.&nbsp;using&nbsp;minidom).</tt></dd></dl>

<hr>
Methods inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><a name="WebSearch-__init__"><strong>__init__</strong></a>(self, service, res_dict<font color="#909090">=&lt;class 'yahoo.search.parser.ResultDict'&gt;</font>)</dt></dl>

<dl><dt><a name="WebSearch-__iter__"><strong>__iter__</strong></a>(self)</dt></dl>

<hr>
Data descriptors inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>firstResultPosition</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>first_result_position</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>results</strong></dt>
<dd><tt>The&nbsp;list&nbsp;of&nbsp;all&nbsp;results</tt></dd>
</dl>
<dl><dt><strong>service</strong></dt>
<dd><tt>The&nbsp;Search&nbsp;Web&nbsp;Service&nbsp;object&nbsp;for&nbsp;this&nbsp;results&nbsp;parser</tt></dd>
</dl>
<dl><dt><strong>totalResultsAvailable</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>totalResultsReturned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
<dl><dt><strong>total_results_available</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>total_results_returned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
</td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#55aa55">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Data</strong></big></font></td></tr>
    
<tr><td bgcolor="#55aa55"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><strong>__author__</strong> = 'Leif Hedstrom &lt;leif@ogre.com&gt;'<br>
<strong>__date__</strong> = 'Thu Oct 27 10:46:03 PDT 2005'<br>
<strong>__revision__</strong> = '$Id: web.py,v 1.5 2005/10/27 18:07:59 zwoop Exp $'<br>
<strong>__version__</strong> = '$Revision: 1.5 $'</td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#7799ee">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Author</strong></big></font></td></tr>
    
<tr><td bgcolor="#7799ee"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%">Leif&nbsp;Hedstrom&nbsp;&lt;leif@ogre.com&gt;</td></tr></table>
</body></html>